BUILDBOT-WORKER(1)

NAME
buildbot-worker - a tool for managing buildbot worker instances

SYNOPSIS

buildbot-worker [ global options ] command [ command options ]

buildbot-worker create-worker [ -q|--quiet ] [ -f|--force ] [ -r|--relocatable ] [ -n|--no-logrotate ] [ -k|--keepalive TIME ] [ --usepty {0|1} ] [ --umask UMASK ] [ -s|--log-size SIZE ] [ -l|--log-count COUNT ] [ --delete-leftover-dirs ] [ --verbose ] PATH MASTER USERNAME PASSWORD

buildbot-worker [ --verbose ] { start|stop|restart } [ PATH ]

buildbot-worker [ --verbose ] { --help|--version }

buildbot-worker command -h|--help

DESCRIPTION
The `buildbot-worker' command-line tool can be used to start or stop a Buildbot worker or create a new worker instance.

OPTIONS

  Commands

create-worker
    Create and populate a directory for a new worker

start
    Start a worker

stop
    Stop a worker

restart
    Restart a worker

  Global options

-h|--help
    Print the list of available commands and global options. All subsequent commands are ignored.

--version
    Print twistd and buildbot-worker version. All subsequent commands are ignored.

--verbose
    Verbose output.

  create-worker command options

-f|--force
    Re-use an existing directory.

-h|--help
    Show help for current command and exit. All subsequent commands are ignored.

-k|--keepalive
    Send keepalive requests to buildmaster every TIME seconds. Default value is 600 seconds.

-l|--log-count
    Limit the number of kept old twisted log files to COUNT. All files are kept by default.

-q|--quiet
    Do not emit the commands being run.

-r|--relocatable
    Create a relocatable buildbot.tac.

-n|--no-logrotate
    Do not permit worker rotate logs by itself.

-s|--log-size
    Set size at which twisted lof file is rotated to SIZE bytes. Default value is 1000000 bytes.

--umask
    Set umask for files created by worker. Default value is 077 which means only owner can access the files. See umask(2) for more details.

--usepty
    Set whether child processes should be run in a pty (0 means do not run in a pty). Default value is 0.

--delete-leftover-dirs
    Set to remove unexpected directories in worker base directory.

PATH
    Path to worker base directory.

MASTER
    Set the host and port of buildbot master to attach to in form HOST:PORT. This should be provided by buildmaster administrator.

USERNAME
    Worker name to connect with. This should be provided by buildmaster administrator.

PASSWORD
    Worker password to connect with. This should be provided by buildmaster administrator.

SEE ALSO
buildbot(1), umask(2),